### Method

# GimpUi IntComboBox set_sensitivity

#### Declaration [src]

    void
    gimp_int_combo_box_set_sensitivity (
      GimpIntComboBox* combo_box,
      GimpIntSensitivityFunc func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets a function that is used to decide about the sensitivity of rows in the `combo_box`. Use this if you want to set certain rows insensitive.

Calling `gtk_widget_queue_draw()` on the `combo_box` will cause the sensitivity to be updated.

Available since: | 2.4

#### Parameters

`func` | `GimpIntSensitivityFunc`
| A function that returns a boolean value, or `NULL` to unset.
`data` | `gpointer`
| Data to pass to `func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| Destroy notification for `data`.